package com.xinyilu.system.domain.heightWeightInfo;

import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 身高体重比成绩区间对象 height_weight_info
 *
 * @author jihan
 * @date 2022-08-10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "身高体重比成绩区间对象", description = "height_weight_info")
public class HeightWeightInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private BigDecimal age;

    /**
     * 性别：MALE：男，FEMALE：女
     */
    @ApiModelProperty(value = "性别：MALE：男，FEMALE：女")
    private String sex;

    /**
     * 月和岁标识，MONTH：月：YEAR
     */
    @ApiModelProperty(value = "月和岁标识，MONTH：月：YEAR")
    private String monthAgeFlag;

    /**
     * 项目标识，HEIGHT：身高，WEIGHT：体重
     */
    @ApiModelProperty(value = "项目标识，HEIGHT：身高，WEIGHT：体重")
    private String itemFlag;

    /**
     * 区间最小值
     */
    @ApiModelProperty(value = "区间最小值")
    private BigDecimal minValue;

    /**
     * 区间最大值
     */
    @ApiModelProperty(value = "区间最大值")
    private BigDecimal maxValue;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("age", getAge())
                .append("sex", getSex())
                .append("monthAgeFlag", getMonthAgeFlag())
                .append("itemFlag", getItemFlag())
                .append("minValue", getMinValue())
                .append("maxValue", getMaxValue())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
